diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/wifi/test/wifi-test.cc ns-3.31/src/wifi/test/wifi-test.cc
--- ns-3.30.1/src/wifi/test/wifi-test.cc	2019-08-12 16:30:35.000000000 -0700
+++ ns-3.31/src/wifi/test/wifi-test.cc	2020-06-27 17:38:30.000000000 -0700
@@ -2187,7 +2939,7 @@
 };
 
 WifiTestSuite::WifiTestSuite ()
-  : TestSuite ("devices-wifi", UNIT)
+  : TestSuite ("wifi-devices", UNIT)
 {
   AddTestCase (new WifiTest, TestCase::QUICK);
   AddTestCase (new QosUtilsIsOldPacketTest, TestCase::QUICK);
@@ -2201,6 +2953,10 @@
   AddTestCase (new Bug2831TestCase, TestCase::QUICK); //Bug 2831
   AddTestCase (new StaWifiMacScanningTestCase, TestCase::QUICK); //Bug 2399
   AddTestCase (new Bug2470TestCase, TestCase::QUICK); //Bug 2470
+  AddTestCase (new Issue40TestCase, TestCase::QUICK); //Issue #40
+  AddTestCase (new Issue169TestCase, TestCase::QUICK); //Issue #169
+  AddTestCase (new IdealRateManagerChannelWidthTest, TestCase::QUICK);
+  AddTestCase (new IdealRateManagerMimoTest, TestCase::QUICK);
 }
 
 static WifiTestSuite g_wifiTestSuite; ///< the test suite
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/wifi/wscript ns-3.31/src/wifi/wscript
--- ns-3.30.1/src/wifi/wscript	2019-09-18 10:36:11.000000000 -0700
+++ ns-3.31/src/wifi/wscript	2020-06-27 17:38:30.000000000 -0700
@@ -18,8 +18,6 @@
         'model/yans-wifi-phy.cc',
         'model/yans-wifi-channel.cc',
         'model/spectrum-wifi-phy.cc',
-        'model/wifi-phy-tag.cc',
-        'model/tx-vector-tag.cc',
         'model/wifi-spectrum-phy-interface.cc',
         'model/wifi-spectrum-signal-parameters.cc',
         'model/wifi-phy-header.cc',
@@ -95,10 +93,13 @@
         'model/cf-parameter-set.cc',
         'model/wifi-mac-queue-item.cc',
         'model/wifi-psdu.cc',
+        'model/wifi-ppdu.cc',
         'model/ht-configuration.cc',
         'model/vht-configuration.cc',
         'model/obss-pd-algorithm.cc',
         'model/constant-obss-pd-algorithm.cc',
+        'model/wifi-ack-policy-selector.cc',
+        'model/constant-wifi-ack-policy-selector.cc',
         'helper/wifi-radio-energy-model-helper.cc',
         'helper/athstats-helper.cc',
         'helper/wifi-helper.cc',
@@ -123,6 +124,12 @@
         'test/inter-bss-test-suite.cc',
         ]
 
+    # Tests encapsulating example programs should be listed here
+    if (bld.env['ENABLE_EXAMPLES']):
+        obj_test.source.extend([
+        #   'test/wifi-examples-test-suite.cc',
+            ])
+    
     headers = bld(features='ns3header')
     headers.module = 'wifi'
     headers.source = [
@@ -136,8 +143,6 @@
         'model/wifi-phy-standard.h',
         'model/yans-wifi-phy.h',
         'model/spectrum-wifi-phy.h',
-        'model/wifi-phy-tag.h',
-        'model/tx-vector-tag.h',
         'model/yans-wifi-channel.h',
         'model/wifi-phy.h',
         'model/wifi-spectrum-phy-interface.h',
@@ -220,6 +225,7 @@
         'model/cf-parameter-set.h',
         'model/wifi-mac-queue-item.h',
         'model/wifi-psdu.h',
+        'model/wifi-ppdu.h',
         'model/wifi-phy-state.h',
         'model/wifi-phy-listener.h',
         'model/block-ack-type.h',
@@ -228,6 +234,8 @@
         'model/vht-configuration.h',
         'model/obss-pd-algorithm.h',
         'model/constant-obss-pd-algorithm.h',
+        'model/wifi-ack-policy-selector.h',
+        'model/constant-wifi-ack-policy-selector.h',
         'helper/wifi-radio-energy-model-helper.h',
         'helper/athstats-helper.h',
         'helper/wifi-helper.h',
